lange(3)

NAME
lange - lange: general matrix

SYNOPSIS

  Functions

real function clange (norm, m, n, a, lda, work)
CLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.
double precision function dlange (norm, m, n, a, lda, work)
DLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.
real function slange (norm, m, n, a, lda, work)
SLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.
double precision function zlange (norm, m, n, a, lda, work)
ZLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Detailed Description

Function Documentation

  real function clange (character norm, integer m, integer n, complex, dimension( lda, * ) a, integer lda, real, dimension( * ) work)

CLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Purpose:

    !>
    !> CLANGE  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> complex matrix A.
    !>

Returns
    CLANGE

    !>
    !>    CLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in CLANGE as described
    !>          above.
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.  When M = 0,
    !>          CLANGE is set to zero.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.  When N = 0,
    !>          CLANGE is set to zero.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(M,1).
    !>

    WORK

    !>          WORK is REAL array, dimension (MAX(1,LWORK)),
    !>          where LWORK >= M when NORM = 'I'; otherwise, WORK is not
    !>          referenced.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function dlange (character norm, integer m, integer n, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( * ) work)

DLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Purpose:

    !>
    !> DLANGE  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> real matrix A.
    !>

Returns
    DLANGE

    !>
    !>    DLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in DLANGE as described
    !>          above.
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.  When M = 0,
    !>          DLANGE is set to zero.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.  When N = 0,
    !>          DLANGE is set to zero.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(M,1).
    !>

    WORK

    !>          WORK is DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
    !>          where LWORK >= M when NORM = 'I'; otherwise, WORK is not
    !>          referenced.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  real function slange (character norm, integer m, integer n, real, dimension( lda, * ) a, integer lda, real, dimension( * ) work)

SLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Purpose:

    !>
    !> SLANGE  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> real matrix A.
    !>

Returns
    SLANGE

    !>
    !>    SLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in SLANGE as described
    !>          above.
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.  When M = 0,
    !>          SLANGE is set to zero.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.  When N = 0,
    !>          SLANGE is set to zero.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(M,1).
    !>

    WORK

    !>          WORK is REAL array, dimension (MAX(1,LWORK)),
    !>          where LWORK >= M when NORM = 'I'; otherwise, WORK is not
    !>          referenced.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function zlange (character norm, integer m, integer n, complex*16, dimension( lda, * ) a, integer lda, double precision, dimension( * ) work)

ZLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Purpose:

    !>
    !> ZLANGE  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> complex matrix A.
    !>

Returns
    ZLANGE

    !>
    !>    ZLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in ZLANGE as described
    !>          above.
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.  When M = 0,
    !>          ZLANGE is set to zero.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.  When N = 0,
    !>          ZLANGE is set to zero.
    !>

    A

    !>          A is COMPLEX*16 array, dimension (LDA,N)
    !>          The m by n matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(M,1).
    !>

    WORK

    !>          WORK is DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
    !>          where LWORK >= M when NORM = 'I'; otherwise, WORK is not
    !>          referenced.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.